> Tychron Atlas API & Provisioning Reference — chapter 11 of 35 as Markdown. Web version: https://docs.tychron.com/api-reference/request-provision-records/
> Source: https://docs.tychron.com/api-reference/ · Updated 2026-08-12 · Generated from the Atlas OpenAPI spec (https://api.atlas.tychron.online/api/v1/openapi is the live contract; this file is a dated snapshot of it).
> Source revision: atlas_api_reference_2026-08-12.md · sha256 482ebd3b014af053 · sanitize gate v1 clean · reconciled with OpenAPI 2026.8.25-p01 (spec sha256 cc049ef38c71cd6e) on 2026-09-05 · content last modified 2026-09-09 · newer definition under review since 2026-09-09 (not yet reconciled)
> Scope: the Atlas platform API only. The SMS, MMS, CNAM, LRN and MCL services are separate APIs with their own specifications: https://docs.tychron.com/openapi/
> Machine index: https://docs.tychron.com/llms.txt

# Request Provision Records

A provision record represents a single number or unit resource that is processed by the request.

These records may be removed or added over the lifetime of the request and may be replaced upon reset of their parent request.

You are not expected to ever keep a reference to a provision record as it may be removed without
notice.

## Schema

A Request's Provision Record represents a single number or unit of work that a request will
process.

Provision records will reflect the status of a single number in that request.

Provision records may be replaced if a request is reset by a operational personnel to diagnose
issues or to resolve an error.


__Type__ Object

| Name          | Type                                                                       | Description                    |
| ------------- | -------------------------------------------------------------------------- | ------------------------------ |
| `error_code`  | [RequestProvisionRecordErrorCode](https://docs.tychron.com/api-reference/schemas/#schema-requestprovisionrecorderrorcode) |                                |
| `id`          | String(format:ulid)                                                        | [Desc. `id`](https://docs.tychron.com/api-reference/request-provision-records/#desc-126)        |
| `inserted_at` | String(format:date-time)                                                   | An ISO8601 formatted timestamp |
| `number`      | String                                                                     |                                |
| `status`      | [RequestProvisionRecordStatus](https://docs.tychron.com/api-reference/schemas/#schema-requestprovisionrecordstatus)       |                                |
| `updated_at`  | String(format:date-time)                                                   | An ISO8601 formatted timestamp |

#### Desc. `id` {#desc-126}

Another format for UUID, used primarily for tasks, requests and messages.



__Example__

```json
{
  "error_code": "OK",
  "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
  "inserted_at": "2021-08-13T04:08:44.762841Z",
  "number": "12003004000",
  "status": "NONE",
  "updated_at": "2021-08-13T04:08:44.762841Z"
}
```


## API

### List Existing Request's Provision Records

```http
GET /api/v1/requests/{request_id}/provision_records HTTP/1.1
```

Retrieve the provision records associated with the parent request.

Note that for requests that have a `number` or `numbers` field, this mapping tends to be 1:1.


__Query Parameters__

| Name   | Type    | Description                     |
| ------ | ------- | ------------------------------- |
| first  | Integer | [Query Desc. first](https://docs.tychron.com/api-reference/request-provision-records/#desc-127)  |
| last   | Integer | [Query Desc. last](https://docs.tychron.com/api-reference/request-provision-records/#desc-128)   |
| after  | String  | [Query Desc. after](https://docs.tychron.com/api-reference/request-provision-records/#desc-129)  |
| before | String  | [Query Desc. before](https://docs.tychron.com/api-reference/request-provision-records/#desc-130) |

#### Query Desc. first {#desc-127}

The number of items to return starting from the 'after' cursor

#### Query Desc. last {#desc-128}

The number of items to return behind the 'before' cursor

#### Query Desc. after {#desc-129}

The cursor representing the starting point of a 'first' based paging

#### Query Desc. before {#desc-130}

The cursor representing the starting point of a 'last' based paging

#### Request

```http
GET /api/v1/requests/{request_id}/provision_records HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 475
```

```json
{
  "count": 1,
  "page_info": {
    "first": "string",
    "has_next_page": true,
    "has_previous_page": true,
    "last": "string"
  },
  "results": [
    {
      "data": {
        "error_code": "OK",
        "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
        "inserted_at": "2021-08-13T04:08:44.762841Z",
        "number": "12003004000",
        "status": "NONE",
        "updated_at": "2021-08-13T04:08:44.762841Z"
      },
      "type": "request_provision_record"
    }
  ]
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```
#### Response 404

##### application/json

```http
HTTP/1.1 404
Content-Type: application/json
Content-Length: 314
```

```json
{
  "errors": [
    {
      "code": "not_found",
      "detail": "The specified resource could not be found",
      "params": {
        "resource": {
          "id": "3fbb573a-6049-44a0-a12c-d3a1ffae0b69",
          "type": "user"
        }
      },
      "sub_code": "none",
      "title": "Not Found"
    }
  ]
}
```


### List Existing Request Provision Records

```http
GET /api/v1/provision_records HTTP/1.1
```

Retrieve Provision Records allocated for this account.


__Query Parameters__

| Name   | Type    | Description                     |
| ------ | ------- | ------------------------------- |
| first  | Integer | [Query Desc. first](https://docs.tychron.com/api-reference/request-provision-records/#desc-131)  |
| last   | Integer | [Query Desc. last](https://docs.tychron.com/api-reference/request-provision-records/#desc-132)   |
| after  | String  | [Query Desc. after](https://docs.tychron.com/api-reference/request-provision-records/#desc-133)  |
| before | String  | [Query Desc. before](https://docs.tychron.com/api-reference/request-provision-records/#desc-134) |

#### Query Desc. first {#desc-131}

The number of items to return starting from the 'after' cursor

#### Query Desc. last {#desc-132}

The number of items to return behind the 'before' cursor

#### Query Desc. after {#desc-133}

The cursor representing the starting point of a 'first' based paging

#### Query Desc. before {#desc-134}

The cursor representing the starting point of a 'last' based paging

#### Request

```http
GET /api/v1/provision_records HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 475
```

```json
{
  "count": 1,
  "page_info": {
    "first": "string",
    "has_next_page": true,
    "has_previous_page": true,
    "last": "string"
  },
  "results": [
    {
      "data": {
        "error_code": "OK",
        "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
        "inserted_at": "2021-08-13T04:08:44.762841Z",
        "number": "12003004000",
        "status": "NONE",
        "updated_at": "2021-08-13T04:08:44.762841Z"
      },
      "type": "request_provision_record"
    }
  ]
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### Get Request Provision Record

```http
GET /api/v1/provision_records/{id} HTTP/1.1
```

Lookup an Provision Record by its ID


__Path Parameters__

| Name | Type                 | Description         |
| ---- | -------------------- | ------------------- |
| id   | String(format:ulid)! | Provision Record ID |

#### Request

```http
GET /api/v1/provision_records/{id} HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 270
```

```json
{
  "data": {
    "error_code": "OK",
    "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
    "inserted_at": "2021-08-13T04:08:44.762841Z",
    "number": "12003004000",
    "status": "NONE",
    "updated_at": "2021-08-13T04:08:44.762841Z"
  },
  "type": "request_provision_record"
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```
#### Response 404

##### application/json

```http
HTTP/1.1 404
Content-Type: application/json
Content-Length: 314
```

```json
{
  "errors": [
    {
      "code": "not_found",
      "detail": "The specified resource could not be found",
      "params": {
        "resource": {
          "id": "3fbb573a-6049-44a0-a12c-d3a1ffae0b69",
          "type": "user"
        }
      },
      "sub_code": "none",
      "title": "Not Found"
    }
  ]
}
```

---

Previous chapter: https://docs.tychron.com/api-reference/request-documents.md  
Next chapter: https://docs.tychron.com/api-reference/roles.md  
Complete reference in one file: https://docs.tychron.com/llms-full.txt
